<?xml version='1.0' encoding='UTF-8' standalone='yes' ?><hierarchy rotation="0"><node index="0" text="" resource-id="" class="android.widget.FrameLayout" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1200,1824]"><node index="0" text="" resource-id="android:id/decor_content_parent" class="android.view.ViewGroup" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1200,1824]"><node index="0" text="" resource-id="android:id/action_bar_container" class="android.widget.FrameLayout" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,48][1200,176]"><node index="0" text="" resource-id="android:id/action_bar" class="android.view.ViewGroup" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,48][1200,176]"><node index="0" text="" resource-id="" class="android.widget.ImageButton" package="org.billthefarmer.currency" content-desc="Navigate up" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[16,56][128,168]" /><node index="1" text="Help" resource-id="" class="android.widget.TextView" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[136,85][218,139]" /></node></node><node index="1" text="" resource-id="android:id/content" class="android.widget.FrameLayout" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,176][1200,1824]"><node index="0" text="" resource-id="org.billthefarmer.currency:id/scroll" class="android.widget.ScrollView" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="true" focused="false" scrollable="true" long-clickable="false" password="false" selected="false" bounds="[16,176][1184,1824]"><node index="0" text="Currency&#10;&#10;Simple currency conversion.&#10;&#10; •  Currency rates from the European Central Bank&#10;&#10; •  32 international currencies&#10;&#10; •  Currency rates updated daily&#10;&#10; •  Last rate update retained for use offline&#10;&#10; •  Ukrainian, German and French translation&#10;&#10;Usage&#10;&#10;Edit&#10;&#10;Touch the current currency value field to edit the value. The display will be updated dynamically as you type. Touch the Done button on the numeric keypad to update the value field. The whole value field is selected by default when touched so it will be overwritten by typing in a new value. To deselect the text, touch an adjacent area, like the currency flag. This behaviour can be disabled in the settings below. &#10;&#10;Toolbar&#10;&#10;The icons in the toolbar from left to right are: &#10;&#10;Add&#10;&#10;Add a currency to the list. A scrollable list of currencies will pop up. Touch an entry to select it or touch the Cancel button below the list. Long touch an entry to select it. Once one currency is selected others may be added or removed from the selection by touching them. Another long touch on another currency will clear the list and select the new currency. Touch the Clear button to clear the selection. Touch the Select button to add the selection. The entries will be added to the list in the order selected. &#10;&#10;Update&#10;&#10;Get the day's currency rates from the ECB. The date shown on the left above the currency list will be updated if new rates are available. It may show the previous day because the rates are updated at around 14:15 CET. The status display on the right above the currency list will show 'OK', 'No Connection', 'No WiFi' or 'Roaming' according to the update settings. It may show 'Failed' if the connection times out or fails to connect. &#10;&#10;Help&#10;&#10;Display this help text. &#10;&#10;Settings&#10;&#10;Display the settings screen. &#10;&#10;Edit currency list&#10;&#10;Touch a currency entry in the list to make it current. The old current currency will move to the top of the list. Long touch a currency entry to select it. Once one currency is selected others may be added or removed from the selection by touching them. Another long touch on another currency will clear the list and select the new currency. The icons in the toolbar will change to: &#10;&#10;Clear&#10;&#10;Clear the selection. &#10;&#10;Remove&#10;&#10;Remove the selected currencies. &#10;&#10;Chart&#10;&#10;Display a chart of selected currencies. If one is selected, the chart will be of the current currency and the selected currency. If two currencies are selected the chart will be of those currencies. &#10;&#10;Copy&#10;&#10;Copy selection value to clipboard. Only one value will be copied. &#10;&#10;Chart&#10;&#10;The display shows an interactive chart of the last 90 days of historical rates from the ECB. The chart responds to two finger pinch and expand gestures and will scroll once expanded. The toolbar icons from left to right are: &#10;&#10;Invert&#10;&#10;The chart will be inverted&#10;&#10;New chart&#10;&#10;The scrollable list of currencies will pop up. Select one or two currencies from the list as above to replace the current currencies in the chart. &#10;&#10;Update&#10;&#10;The chart will be updated&#10;&#10;Historical&#10;&#10;The chart will be updated with nearly eighteen years of historical data currently dating from 1 April 1999. Not all the currencies go back this far. Caution - this will take a while, depending on the connection, and will download more than 6Mb of data. &#10;&#10;Settings&#10;&#10;Update&#10;&#10;WiFi Update while connected on WiFi only&#10;&#10;Roaming Update while roaming&#10;&#10;Selection&#10;&#10;Selection Select all current currency value text when touched. &#10;&#10;Numbers&#10;&#10;Fraction digits Select the number of digits to display after the decimal point. A popup list of options will be displayed. &#10;&#10;Chart&#10;&#10;Fill Fill the chart trace&#10;&#10;Theme&#10;&#10;Dark Use dark theme&#10;&#10;About&#10;&#10;About Display the version, copyright and licence.&#10;&#10;" resource-id="org.billthefarmer.currency:id/help" class="android.widget.TextView" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="true" enabled="true" focusable="true" focused="true" scrollable="false" long-clickable="true" password="false" selected="false" bounds="[16,176][1184,1824]" /></node></node></node><node index="1" text="" resource-id="android:id/statusBarBackground" class="android.view.View" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][1200,48]" /><node index="2" text="" resource-id="android:id/navigationBarBackground" class="android.view.View" package="org.billthefarmer.currency" content-desc="" checkable="false" checked="false" clickable="false" enabled="true" focusable="false" focused="false" scrollable="false" long-clickable="false" password="false" selected="false" bounds="[0,0][0,0]" /></node></hierarchy>